2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.44 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.43 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.
	* *.el: Restore CVS keyword expansions.
	* os-utils.texi: Update for texinfo 5.x.

2013-02-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.42 released.

2013-02-19  Michael Sperber  <mike@xemacs.org>

	* arc-mode.el (arc-mode): Provide `arc-mode' in addition to
	`archive-mode', for GNU Emacs compatibility.

2008-06-25  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.41 released.

2008-04-30  Ulrich Mueller  <ulm@gentoo.org>

	* crypt.el: Trivial comment changes (#126).

2007-10-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.40 released.

2007-09-29  Jari Aalto  <jari.aalto AT cante.net>

	* crypt.el
	(crypt-encryption-type-get): New function.
	(crypt-encryption-type-set): New function.
	(crypt-decrypt-buffer): New interactive function.
	(crypt-encrypted-p): Call `crypt-encryption-type-set' to set
	correct `crypt-encryption-type'.
	(crypt-build-encryption-alist): Add entry for
	bcrypt program: *.bfe files.

2006-09-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.39 released.

2006-09-04  Aidan Kehoe  <kehoea@parhasard.net>

	Import Karl Berry's crypt++, with GPG, PGP support. ChangeLog:

    2004-04-02    <karl@u20.cs.umb.edu>
    
    	* crypt++.el is no longer supported.  Use crypt.el from XEmacs instead.
    
    2003-01-17    <karl@gnu.org>
    
    	* crypt++.el (rc4): new encoding from Michael Ernst.
    
    2001-11-15    <karl@gnu.org>
    
    	* crypt++.el: version 2.91.
    	* crypt++.el: mention 'no-conversion-unix for xemacs.
    	* crypt++.el (crypt-encryption-alist): add entry for mcrypt, from
    	forcer@debian.org (Jorgen Schaefer): mcrypt entry.
    
    2001-10-31    <karl@gnu.org>
    
    	* crypt++.el: mailcrypt at sourceforge now.
    	From: David Magda <dmagda@magda.ca>
    	Date: Sat, 27 Oct 2001 15:35:30 -0400
    
    2001-05-28    <karl@gnu.org>
    
    	* crypt++.el: add gpg to the comment
    
    2001-05-19    <karl@gnu.org>
    
    	* version 2.90.
    
    	* crypt++.el (crypt-encryption-magic-regexp-inverse): include
    		pattern for .elc files.
    
    2001-05-12    <karl@gnu.org>
    
    	* crypt++.el: doc fix, version 2.89.
    
    2001-05-11    <karl@gnu.org>
    
    	* crypt++.el: document need for modify-coding-system-alist
    	* crypt++.el (crypt-encode-region): set coding-system-for-read,
    	coding-system-for-write.
    	* crypt++.el: david hull patch for gpg support
    	* crypt++.el: checkpoint
    
    2000-06-04    <karl@gnu.org>
    
    	* crypt++.el: it's 2000 now
    
    2000-06-02    <karl@gnu.org>
    
    	* crypt++.el: ;;; 2.88 - 2jun00 ;;; kifer@cs.sunysb.edu:
    	(coding-system-for-write 'no-conversion) ;;; ryk@coho.net:
    	(buffer-file-coding-system 'no-conversion) ;;; johnh@isi.edu:
    	mailcrypt & pgp/pgp5.0/gpg.
    
    Wed Apr 21 11:14:36 1999  Karl Berry  <karl@gnu.org>
    
    	* crypt++.el: 2.87.
    
    Sat Mar 27 17:00:55 1999  Karl Berry  <karl@gnu.org>
    
    	* crypt++.el: Mailcrypt stuff from Tony Silvat, don't make Mac so
     		broad.
    
    Sun Jan 17 15:43:56 1999  Karl Berry  <karl@gnu.org>
    
    	* Version 2.86.
    	* crypt++.el: Discard stderr from subprocesses.  From Nick Gibins.
    
    Mon Aug 10 17:54:54 1998  Karl Berry  <karl@cs.umb.edu>
    
    	* crypt++.el: Pgp multirecipient support.
    	From cro@nca.asu.edu.
    
    Thu Jun  4 10:43:19 1998  Karl Berry  <karl@cs.umb.edu>
    
    	* crypt++.el: Make bzip label `Bzip'.
    
    Fri Mar 20 16:13:05 1998  Karl Berry  <karl@cs.umb.edu>
    
    	* crypt++.el: Version 2.84.
    
    Mon Mar  9 20:46:18 1998  Karl Berry  <karl@cs.umb.edu>
    
    	* crypt++.el: More doc fixes.
    
    	* crypt++.el: Merge Mac support from Daniel M. German
    		<dmg@csg.uwaterloo.ca>.
    
    	* crypt++.el: Doc fixes.
    
    Sat Mar  7 15:11:37 1998  Karl Berry  <karl@cs.umb.edu>
    
    	* crypt++.el: Add bzip (and bzip+tar) support.
    
    	* crypt++.el: Merge pgp support from John Heidemann <johnh@isi.edu>.
    
    	* crypt++.el: Support .tgz.
    
    	* crypt++.el: Add custom support from hniksic.
    	Remove trailing whitespace.
    
    Wed Feb  4 17:18:02 1998  Karl Berry  <karl@cs.umb.edu>
    
    	* crypt++.el: Version 2.83.
    	
    	* crypt.el:
    	* crypt.el (shell-command-switch): New.
    	* crypt.el (crypt-confirm-password):
    	* crypt.el (crypt-encryption-magic-regexp):
    	* crypt.el (crypt-encryption-magic-regexp-inverse):
    	* crypt.el (crypt-build-encryption-alist):
    	* crypt.el (crypt-encryption-alist):
    	* crypt.el (crypt-no-extension-implies-plain):
    	* crypt.el (crypt-decode-dos-p): New.
    	* crypt.el (crypt-decode-mac-p): New.
    	* crypt.el (crypt-build-encoding-alist):
    	* crypt.el (crypt-encoding-alist):
    	* crypt.el (crypt-inhibit-formats):
    	* crypt.el (crypt-get-encryption-key-stdin): New.
    	* crypt.el (crypt-find-file-hook):
    	* crypt.el (crypt-encrypted-p):
    	* crypt.el (crypt-check-extension-for-encoding):
    	* crypt.el (crypt-y-or-n-p):
    	* crypt.el (crypt-write-file-hook):
    	* crypt.el (crypt-pgp-pub-library): New.
    	* crypt.el (crypt-pgp-pub-sub-library): New.
    	* crypt.el (crypt-pgp-pub-npgp-key-id): New.
    	* crypt.el (crypt-pgp-pub-multirecipients): New.
    	* crypt.el (crypt-pgp-pub-recipient-history): New.
    	* crypt.el (crypt-pgp-pub-recipients): New.
    	* crypt.el (crypt-pgp-pub-clear-recipients): New.
    	* crypt.el (crypt-pgp-pub-npgp-userid): New.
    	* crypt.el (crypt-pgp-pub-mailcrypt-userid): New.
    	* crypt.el (crypt-pgp-pub-load-mailcrypt): New.
    	* crypt.el (crypt-pgp-pub-decrypt-region): New.
    	* crypt.el (crypt-pgp-pub-encrypt-region): New.
    	* crypt.el (crypt-encrypt-region):
    	* crypt.el (crypt-encode-region):
    	* crypt.el (crypt-mac-to-unix-region): New.
    	* crypt.el (crypt-unix-to-mac-region): New.
    	* crypt.el (crypt-encrypted-mode):
    	* crypt.el (crypt-read-encoding-type):
    	* crypt.el (crypt-encoded-mode):
    	* crypt.el (crypt-set-encryption-key):
    	* crypt.el (not):
    	* crypt.el (err):
    	* crypt.el (crypt-bind-insert-file):
    	* crypt.el (crypt-insert-file-contents):
    	* crypt.el (crypt-version):
    	* crypt.el (crypt-help-address):
    	* crypt.el (crypt-maintainer):
    	* crypt.el (crypt-file):
    	* crypt.el (crypt-variable-list):
    	* crypt.el (crypt-submit-report):
    
2006-05-17  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.38 released.

2006-05-13  Jerry James  <james@xemacs.org>

	* inf-lisp.el (inferior-lisp-mode): Replace use of defunct
	comint-input-sentinel with comint-input-filter-functions.

2006-02-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.37 released.

2006-02-26  Mike Sperber  <mike@xemacs.org>

	* inf-lisp.el (inferior-lisp-install-letter-bindings): Re-instate
	autoloads commented out by jwz eons ago---for some people, ILISP
	does suck more than inf-lisp.el.

2005-01-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.36 released.

2005-01-29  Ville Skyttä  <scop@xemacs.org>

	* os-utils.texi: Spelling fixes, add document title.

	* arc-mode.el: Sync with GNU Emacs 20.2, add *.[ejw]ar to
	auto-mode-alist association.

2004-01-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.35 released.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.34 released.

2003-10-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.33 released.

2003-10-03  Ilya N. Golubev  <gin@mo.msk.ru>

	* background.el (background-search-job-space): Fix byte-compiler
	warning.
	(background): Fix (usually not happening) direct
	`background-get-job-name-simple' call.

	* rlogin.el (rlogin-parse-words): Fix (supposed) match-data
	restoring.

2003-10-03  Ilya N. Golubev  <gin@mo.msk.ru>

	* rlogin.el (rlogin): Remove unneeded duplication of process
	marker setting done inside `comint-exec'.

2003-10-03  Ilya N. Golubev  <gin@mo.msk.ru>

	* background.el (background): Use `insert-before-markers' for text
	to output, like `comint-output-filter' does.

2003-09-22  Steve Youngs  <youngs@xemacs.org>

	* Makefile (EXPLICIT_DOCS): Removed.
	(STANDARD_DOCS): Use this instead.

2003-08-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.32 released.

2003-08-28  Jake Colman  <jake.colman@xemacs.org>

	* Makefile (EXPLICIT_DOCS): New.  Added texi documentation.

2003-06-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.31 released.

2003-05-26  Stephen J. Turnbull  <stephen@xemacs.org>

	* jka-compr.el (jka-compr-insert-file-contents): New docstring.
	Implement REPLACE argument correctly.  Thanks to Martin Schwenke
	<martin@meltin.net> for reporting and testing.  Bugfix suggested
	by Richard Stallman <rms@gnu.org>.
	(Maintainer): Update to XEmacs Development Team.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.

2003-01-13  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.30 released.

2003-01-06  Ville Skyttä  <scop@xemacs.org>

	* arc-mode.el: Make auto-mode-alist modifications autoload-only.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-10-07  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.29 released.

2002-09-30  Ville Skyttä  <scop@xemacs.org>

	* arc-mode.el: Add autoloaded auto-mode-alist association.

2002-05-10  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.28 released.

2002-05-09  Ben Wing  <ben@xemacs.org>

	* arc-mode.el (archive-*-write-file-member):
	* arc-mode.el (archive-lzh-summarize):
	* arc-mode.el (archive-zip-summarize):
	Use #o... not ?\... to get octal integers.  ?\ in XEmacs
	gives chars and you will get syntax errors or worse.

2002-05-07  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.27 released.

2002-04-26  James LewisMoss  <dres@lewismoss.org>

	* background.el (background-get-job-name): var holding the func to
	use to generate the background buffer id/name.
	(background-search-job-space): search buffer list for a buffer
	generated from FORM (which includes a %d number field) and return
	the first that no longer has a process connected to it.
	(background-get-job-name-simple): generate a simple background
	buffer name "background-%d"
	(format-quote-string): just replace % with %% in string so format
	won't be unhappy.
	(get-bottom-dir): grab last dir part in string (/usr/foo/bar -> bar)
	(background-get-job-name-command): more complex background namer
	"BG(<command run>)%d"
	(background-get-job-name-command-n-dir): and a more complex
	background namer "BG(<last dir name>)(<command run>)%d"
	(background): use new background-get-job-name custom var to
	generate the background name.

2002-01-13  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Remove 'lpr', it's in 'ps-print'.
	And update to include all provides.

2002-01-09  Steve Youngs  <youngs@xemacs.org>

	* Makefile (ELCS): Remove 'lpr.elc' as it's now in 'ps-print'

2000-11-09  Sean MacLennan  <seanm@storm.ca>

	* uncompress.el: Synced with GNU Emacs 20.7

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-09-15  Adrian Aichner  <aichner@ecf.teradyne.com>

	* crypt.el (crypt-find-file-hook): Fix (null-buffer-file-name)
	typo.

2000-08-16  Andreas Jaeger  <aj@suse.de>

	* crypt.el (crypt-find-file-hook): Add missing closing brace.

2000-08-04  Didier Verna  <didier@xemacs.org>

	* Makefile (VERSION): increment.
	(ELCS): add missing `mchat.elc'.
	* mchat.el: version 2.1 is released.

2000-03-13  Johannes Ziegler <ziegler@bach.informatik.uni-ulm.de>

	* crypt.el (crypt-encoding-alist): Gzip Files with .gz and .tgz
	extension.
	(crypt-find-file-hook): renaming of then ungzipped buffers
	name.gz => name and name.tgz => name.tar

2000-02-23  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* jka-compr.el: Globally replace 'no-conversion with 'binary

2000-02-09  Martin Buchholz  <martin@xemacs.org>

	* crypt.el (crypt-build-encoding-alist): Remove bzip2 `--quiet'
	option, not available before bzip2 0.9.5.
	Fix two byte-compiler warnings.

1999-09-20  James LewisMoss  <dres@ioa.com>

	* crypt.el (crypt-build-encoding-alist): Add bzip2 data to
	encoding list.
	(crypt-find-file-hook): Add .bz2 as an ending to be stripped when
	loading.

1999-11-08  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* jka-compr.el (auto-compression-mode): Pass original
	argument to toggle-auto-compression.

1999-08-08  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* jka-compr.el (jka-compr-call-process): Guard against use of
	file-coding-system-for-read.
	(jka-compr-insert-file-contents): idem.
	(jka-value-if-bound): New function.

1999-07-20  Darryl Okahata  <darrylo@sr.hp.com>

	* tar-mode.el: `tar-regexp' must only match the names of
	uncompressed tar files.  If it matches the names of compressed tar
	files, tar-mode will attempt to parse the compressed tar file as
	an uncompressed tar file, causing an error.  Note that this will
	not affect either crypt.el nor jka-compr.el, as they will properly
	uncompress a buffer before entering tar-mode.

1999-07-15  SL Baur  <steve@beopen.com>

	* jka-compr.el (jka-compr-install): Only diddle with
	file-coding-system-alist in XEmacs with file-coding.
	(jka-compr-uninstall): Ditto.

1999-06-29  SL Baur  <steve@miho.m17n.org>

	* Makefile (ELCS): ps-print.el removed.

1999-03-19  Didier Verna  <didier@xemacs.org>

	* mchat.el: version 2.0 released.

1998-12-30  Martin Buchholz  <martin@xemacs.org>

	* tar-mode.el (tar-regexp): Add autoload cookie.
	(auto-mode-alist): Add autoload cookie.

1998-10-01  SL Baur  <steve@altair.xemacs.org>

	* ssh.el (ssh-send-Ctrl-C): send-string -> process-send-string.
	(ssh-send-Ctrl-D): Ditto.
	(ssh-send-Ctrl-Z): Ditto.
	(ssh-send-Ctrl-backslash): Ditto.
	* rlogin.el (rlogin-send-Ctrl-C): Ditto.
	(rlogin-send-Ctrl-D): Ditto.
	(rlogin-send-Ctrl-Z): Ditto.
	(rlogin-send-Ctrl-backslash): Ditto.

1998-09-30  SL Baur  <steve@altair.xemacs.org>

	* ftelnet.el: New file.
	* ssh.el: Sync to version 1.6
	* rlogin.el: Sync to version 1.43

1998-09-10  Noah Friedman  <friedman@splode.com>

	* rlogin.el (rlogin): If using make-local-hook, pass the 4th arg
	`t' to add-hook also to modify the new local value.
	* ssh.el (ssh): Here also.

1998-07-14  SL Baur  <steve@altair.xemacs.org>

	* rlogin.el: Global replace send-string -> process-send-string.
	* ssh.el: Ditto.

1998-06-07  Tomasz Cholewo  <tjchol01@aivo.spd.louisville.edu>

	* jka-compr.el (jka-compr-partial-uncompress): Fix integer in concat.

1998-06-13  SL Baur  <steve@altair.xemacs.org>

	* lpr.el (print-region-1): Remove references to `buffer-file-type'.

1998-04-17  SL Baur  <steve@altair.xemacs.org>

	* rlogin.el-1.40.

1998-04-06  Hrvoje Niksic  <hniksic@srce.hr>

	* tar-mode.el (tar-subfile-mode): Call `auto-save-mode' with a 0,
	argument, not nil.
	(tar-regexp): Include `.tar.gz' files.

1998-02-21  Aki Vehtari  <Aki.Vehtari@hut.fi>

	* tar-mode.el:  Add "q" for quit, and use "C" for copy and "R" for
	rename as in dired.

1998-02-15  SL Baur  <steve@altair.xemacs.org>

	* jka-compr.el: Reenable auto-compression-mode symbol.

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.
	* package-info.in: Ditto.

1998-01-11  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1998-01-05  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer packages interface.

1997-12-27  Jens-Ulrik Holger Petersen  <petersen@kurims.kyoto-u.ac.jp>

	* tar-mode.el: Minimal synchage with Emacs 20.  Moved `tar-' to the
	front of all identifiers.  Some docstring improvements too.
	(tar-mode-map): Added keybindings for [up], [down] and [return].

1997-12-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Created.
